package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/12/16 15:34
 **/
@ApiModel("系统微信用户和社群书微信用户关联")
public class WxUserWechatRelevance extends BaseEntity {

    @ApiModelProperty("微信id")
    private Long wechatUserId;

    @ApiModelProperty("微信唯一标识")
    private String wxId;

    @ApiModelProperty("随机码")
    private String randomCode;

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public String getWxId() {
        return wxId;
    }

    public void setWxId(String wxId) {
        this.wxId = wxId;
    }

    public String getRandomCode() {
        return randomCode;
    }

    public void setRandomCode(String randomCode) {
        this.randomCode = randomCode;
    }

    @Override
    public String toString() {
        return "WxUserWechatRelevance{" +
                "wechatUserId=" + wechatUserId +
                ", wxId='" + wxId + '\'' +
                ", randomCode='" + randomCode + '\'' +
                "} " + super.toString();
    }
}
